Download it now!
Bug 120370 - Cannot apply transparency gradient
Summary: Cannot apply transparency gradient
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-06 17:26 UTC by Regina Henschel
Modified: 2018-10-10 08:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-10-06 17:26:50 UTC
Open Draw and draw a filled circle for example. Open Area dialog tab Transparency and set it to type gradient. OK. The shape does not get any transparency.

It fails in Version: 6.1.0.3 (x64)
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: de-DE (en_US); Calc: CL

It was OK in Version: 6.0.6.2 (x64)
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL
Comment 1 Roman Kuznetsov 2018-10-06 19:02:00 UTC
confirm in

Version: 6.2.0.0.alpha0+ (x64)
Build ID: e7d5bad5ae083da12c3ec4a4a8bdc8b42447a242
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-06_02:55:02
Locale: ru-RU (ru_RU); Calc: threaded

this is a regression as sayed Regina
Comment 2 Aron Budea 2018-10-06 23:14:02 UTC
Bibisected to the following commit using repo bibisect-win32-6.1. Adding Cc: to Caolán McNamara, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f8480defc137d0eb9f9cd20294909546c2cfc598
author		Caolán McNamara <caolanm@redhat.com>	2018-06-12 11:22:15 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-06-12 17:46:27 +0200

weld SvxTransparenceTabPage
Comment 3 Commit Notification 2018-10-09 09:38:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc3a50d9d110892d67fef17075786a73ed535bda

Resolves: tdf#120370 should check gradientgrid sensitivity

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-10-09 09:40:14 UTC
backport to 6-1 in gerrit
Comment 5 Commit Notification 2018-10-09 12:17:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae55c37347abf97126377914e66328a0eb0d3308&h=libreoffice-6-1

Resolves: tdf#120370 should check gradientgrid sensitivity

It will be available in 6.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-10-10 08:56:57 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 87e3539d69626780c6d7531b725dd0d64c69e6d8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for fixing this!